- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions

# EnlargedCurveEditor Class Reference

Search for all occurrences

## Detailed Description

This dialog allows an AttributeCurveEditor to be resizable in order to manipulate its curve more easily.

Definition at line 552 of file widgets.h.

`#include <widgets.h>`

Inheritance diagram for EnlargedCurveEditor:
[legend]

List of all members.

## Signals
void | CurveSelected (int iIndex)
| This signal is captured by the Channel combo box in the Adjust Color dialog if the AttributeCurveEditor it is editing was contained in the Adjust Color dialog.
## Public Member Functions
| EnlargedCurveEditor (AttributeCurveEditor *pCurve)
| Constructor.
## Protected Member Functions
void | resizeEvent (QResizeEvent *pEvent)
| This method detects changes to the size of this dialog and resizes the CurveEditor it contains appropritely.
void | changeEvent (QEvent *pEvent)
| This method detects the activation change of this dialog to select the appropriate channel in the Adjust Color dialog if needed.

## Constructor & Destructor Documentation

EnlargedCurveEditor | ( | AttributeCurveEditor * | pCurve | ) |

Constructor.

Parameters:

  [in] | pCurve | The AttributeCurveEditor which needs to be resizable.

## Member Function Documentation

void CurveSelected | ( | int | iIndex | ) | `[signal]`

Search for all occurrences

This signal is captured by the Channel combo box in the Adjust Color dialog if the AttributeCurveEditor it is editing was contained in the Adjust Color dialog.

When this dialog gains focus, the channel in the combo box is changed to match the channel's curve this dialog was editing, so that the changes can be seen by the user in both the curve editors.

void resizeEvent | ( | QResizeEvent * | pEvent | ) | `[protected, virtual]`

Search for all occurrences

This method detects changes to the size of this dialog and resizes the CurveEditor it contains appropritely.

Reimplemented from QDialog.

void changeEvent | ( | QEvent * | pEvent | ) | `[protected, virtual]`

Search for all occurrences

This method detects the activation change of this dialog to select the appropriate channel in the Adjust Color dialog if needed.

Reimplemented from QWidget.

The documentation for this class was generated from the following file:

- Mudbox/widgets.h

EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor
EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor EnlargedCurveEditor